#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAF,0x49,0xD1,0x07,0xF1,0xD3,0xFE,0x2D,0xE1,0x61,0x35,0x2A,
		0x2D,0x8C,0x72,0x72,0xE1,0x32,0x02,0x3A,0x93,0x71,0x6E,0x7D,
		0x85,0xF6,0x79,0xCB,0xBA,0x63,0xB8,0x41,0x3F,0x1E,0xA8,0x45,
		0xB8,0x1F,0x62,0x31,0x87,0x9B,0x1C,0x67,0xBE,0xD9,0x52,0x6C,
		0x07,0x56,0x75,0xD4,0xF4,0xE4,0xC8,0x06,0x9F,0x05,0x5B,0xB2,
		0x12,0xA8,0xC7,0x53,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
